ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Amshoff, Christoph, Köln" <Christoph.Amsh...@fja.com>
Subject JDK 1.1.x and Javadoc 1.2?
Date Tue, 12 Sep 2000 12:39:09 GMT
Hi,

we need to compile with JDK 1.1.x, but want to build javadoc 1.2 API.
Is there a way to do this with ant?

-- Starting ant in a JDK 1.1.x environment, <javadoc> calls the appropriate
   javadoc 1.1 and I cannot call javadoc 1.2 directly, right?

-- So let's forget the wrapper and use the <java> task to run the class
   com.sun.tools.javadoc.Main; but this fails with the JDK 1.1.x VM.

-- Next I tried <java> to execute in another VM, using fork and jvm
attributes
   to point to my Java2 VM. That's not working, too:
   build.xml:378: Class class org.apache.tools.ant.taskdefs.Java doesn't 
        support the "jvm" attribute

What's happening here? How do I get it done?

Thanks for helping!
Christoph.


Mime
View raw message